[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TLazIntfImage.AlphaBlend

Merges a source image with alpha blending.

## Declaration

Source position: intfgraphics.pas line 257

`public procedure TLazIntfImage.AlphaBlend(`
`ASource: TLazIntfImage;`
`ASourceAlpha: TLazIntfImage;`
`const ADestX: Integer;`
`const ADestY: Integer`
`);`

## Description

Merges an image to a canvas using alpha blending according to a separate image containing the alpha channel. White pixels in the alpha channel will correspond to the source image pixel being fully drawn, grey ones are merged and black ones ignored.

If ASourceAlpha is Nil then it will utilize the alpha channel from ASource.